using skyscraper5.Mpeg2;
using skyscraper5.Skyscraper.Plugins;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper5.src.Mpeg2.PacketFilter
{
	/// <summary>
	/// Kicks out packets with the TEI Flag set.
	/// </summary>
	/// 
	[PluginPriority(1000)]
	public class TeiFilter : BasePacketFilter
	{
		protected override bool PassPacketEx(TsPacket packet)
		{
			return !packet.TEI;
		}
	}
}
